Subject: bug#23368: Solved! (Was: Re: bug#23368: 25.0.92; xftfont.c has got a bug)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 May 2016 13:26:53 +0300

> Date: Sat, 28 May 2016 19:17:50 +0900
> From: 野宮　賢 / NOMIYA Masaru
>  <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I checked all the related files one by one. :-)
> I found thst the CPU 100% usage's cause is fontconfig.
> In my system, the fontconfig is 2.11.1.
> I reverted this to 2.10.2's fontconfig, then problem has disappeared!
> 
> I wonder if the 2.11.1's fontconfig has got a bug?
> Maybe not.
> 
> But waht's the matter, I wonder.

Can you try the latest sources from the emacs-25 branch of the Emacs
repository, and see if setting xft-font-ascent-descent-override to a
non-nil value solves the problem even when fontconfig 2.11.1 is used?

Thanks.